## Acos
Return the arccosine of the parameter

### Declaration
```glsl
float acos(float x)  
vec2 acos(vec2 x)  
vec3 acos(vec3 x)  
vec4 acos(vec4 x)
```

### Parameters
```x``` specify the value whose arccosine to return.

### Description
```acos()``` returns the angle whose trigonometric cosine is ```x```.

<div class="simpleFunction" data="y = acos(x); "></div>

### See Also
[cos()](index.html#cos.md), [sin()](index.html#sin.md), [asin()](index.html#asin.md), [tan()](index.html#tan.md), [atan()](index.html#atan.md), [Chapter 05: Shaping Functions](../05/)